Subject: RE: [X2Go-Dev] Bug#708: x2gosqlitewrapper.pl reports "unable to open database" on session-resume, while the database is there.

From: "Zuck, Daniel" <[email-masked]>
Date: Fri, 19 Dec 2014 17:06:18 +0000

Hello Mike

Thanks for your quick feedback.

In a nutshell: I was as well assuming, that a hard fix would be at the end "x2godbadmin --createdb" - however, it would be good to trace the reason why it came to there. Related the Perl modules on SLES, I am not 100% sure, as I am not a "Perl guy", and resolved dependencies if they have been specifically raised via " "make_path" is not exported by the File::Path module" (see http://wiki.x2go.org/doku.php/doc:installation:x2goserver), which was causing me to lift the version of this module (the SLES provided version was too old, so this issue was sorted after the upgrade; same for the RHEL install as described on the Wiki).

In more details:

>First thing: please note that shortly the X2Go upstream team will provide a new source for SLES packages. The x2goserver version you are using is a >little outdated already.

The version is "backported" from OpenSuSE RPM spec's, satisfying the dependencies on SLES. Notably dependencies included to upgrade some of the SLES-provided Perl modules.

>I am not sure what perl-Syslog package version is shipped with SLES 11.3, but it seems it cannot handle the "error" logging facility. This is weird in >the first place and maybe you can investigate your system a bit more on this. (What version of perl-Syslog is installed, etc.)

The version of Perl is 5.10.0-64.67.52, and there is no specific syslog installed besides the OS-Perl-package (there is a separate perl-Unix-Syslog from SuSE, where I do not know its specific use); it must be a subsequent fault of something else, because syslog and its facilities should be well known since a couple of "decades"...

As we have likely a corrupted DB-file, I would try to lift the version of Perl-DBI (maybe the SLES-version is a bit older and has some errors).

>Next question is: what file permissions are set on
>   /var/lib/x2go/x2go_sessions
>   /usr/<lib>/x2go/x2gosqlitewrapper

ls -la /var/lib/x2go/x2go_sessions /usr/lib/x2go/x2gosqlitewrapper
-rwxr-sr-x 1 root x2gouser 11978 Nov  4 17:53 /usr/lib/x2go/x2gosqlitewrapper
-rw-rw---- 1 root x2gouser 25600 Dec 19 10:35 /var/lib/x2go/x2go_sessions

>Next question:
>   getent passwd x2gouser
>   getent group x2gouser

getent passwd x2gouser
x2gouser:x:404:405:x2go server/user:/var/lib/x2go:/bin/false
getent group x2gouser
x2gouser:!:405:

After removing the DB-file and recreating a new one, I can connect without any error. As expected my "old" session was stale.
Note: This is the behavior where the system was working since a couple of weeks; the error was raised on two systems at a time. What made me a bit perplex is, that it was visible on two systems, since about the same time.

Regards
Daniel

The content of this e-mail is intended only for the confidential use of the person addressed. 
If you are not the intended recipient, please notify the sender and delete this email immediately.
Thank you.